{
  "name": "uoa-admin-tools-gui",
  "version": "1.0.0",
  "scripts": {
    "clean": "rm -rf dist/* ",
    "build:prod": "webpack --progress -p --env.release=true",
    "build": "webpack --progress -p --env.release=false",
    "build:docker": "npm run build:prod && docker build -t omtd-platform .",
    "deploy:server": "docker rm -f omtd-platform && docker run --name omtd-platform -d -p 80:80 omtd-platform",
    "deploy:complete": "npm run build:docker && npm run deploy:server",
    "watch": "npm run build --watch",
    "server": "webpack-dev-server --inline --progress --port 5000 --content-base .  --disable-host-check --host  0.0.0.0",
    "start": "npm run server "
  },
  "license": "ISC",
  "dependencies": {
    "@angular/animations": "^4.2.4",
    "@angular/common": "^4.2.4",
    "@angular/compiler": "^4.2.4",
    "@angular/compiler-cli": "^4.2.4",
    "@angular/core": "^4.2.4",
    "@angular/forms": "^4.2.4",
    "@angular/http": "^4.2.4",
    "@angular/platform-browser": "^4.2.4",
    "@angular/platform-browser-dynamic": "^4.2.4",
    "@angular/platform-server": "^4.2.4",
    "@angular/router": "^4.2.4",
    "@angular/upgrade": "^4.2.4",
    "@nguniversal/module-map-ngfactory-loader": "^1.0.0-beta.3",
    "angular-in-memory-web-api": "~0.3.2",
    "angular-datatables": "^4.4.0",
    "citation-js": "^0.3.4",
    "clipboard": "^1.5.16",
    "core-js": "^2.4.1",
    "datatables.net": "^1.10.16",
    "datatables.net-dt": "^1.10.16",
    "jquery": "^3.2.1",
    "extract-text-webpack-plugin": "^2.1.0",
    "file-loader": "^0.11.1",
    "ie-shim": "^0.1.0",
    "jw-bootstrap-switch-ng2": "0.0.8",
    "ng2-ckeditor": "^1.1.9",
    "intl": "^1.2.5",
    "ngx-bootstrap": "^1.6.6",
    "reflect-metadata": "^0.1.8",
    "rxjs": "^5.4.2",
    "ts-md5": "^1.2.0",
    "typescript": "~2.3.3",
    "zone.js": "^0.8.14"
  },
  "devDependencies": {
    "@angular/cli": "^1.6.8",
    "@types/datatables.net": "^1.10.8",
    "@types/jquery": "^3.2.17",
    "angular2-router-loader": "^0.3.4",
    "angular2-template-loader": "^0.6.0",
    "awesome-typescript-loader": "^3.1.3",
    "bootstrap-loader": "^2.0.0-beta.21",
    "bootstrap-sass": "^3.3.7",
    "css-loader": "^0.28.1",
    "jquery": "^3.1.1",
    "lite-server": "^2.2.2",
    "node-sass": "^4.5.0",
    "raw-loader": "^0.5.1",
    "resolve-url-loader": "^2.0.0",
    "sass-loader": "^6.0.1",
    "style-loader": "^0.17.0",
    "to-string-loader": "^1.1.4",
    "typescript": "2.3.3",
    "typings": "^2.1.1",
    "uglify-js": "^3.0.1",
    "url-loader": "^0.5.7",
    "webpack": "^2.5.1",
    "webpack-dev-server": "^2.4.5",
    "webpack-merge": "^4.1.0"
  }
}
